## ros-dashing-realsense2-camera-msgs 3.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(realsense2_camera_msgs)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(std_msgs REQUIRED)

set(msg_files
  "msg/IMUInfo.msg"
  "msg/Extrinsics.msg"
)
rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  DEPENDENCIES builtin_interfaces std_msgs
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-dashing-realsense2-camera-msgs (3.2.1-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Sun, 09 May 2021 21:00:00 -0000

ros-dashing-realsense2-camera-msgs (3.2.0-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 04 May 2021 21:00:00 -0000

ros-dashing-realsense2-camera-msgs (3.1.6-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 04 May 2021 21:00:00 -0000

ros-dashing-realsense2-camera-msgs (3.1.5-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 23 Mar 2021 22:00:00 -0000

ros-dashing-realsense2-camera-msgs (3.1.4-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Wed, 17 Feb 2021 22:00:00 -0000

ros-dashing-realsense2-camera-msgs (3.1.3-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Sun, 27 Dec 2020 22:00:00 -0000

ros-dashing-realsense2-camera-msgs (3.1.2-1bionic) bionic; urgency=high

  * remove node package, change msg package name
  * Contributors: Ryan Shim, doronhi

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Wed, 09 Dec 2020 22:00:00 -0000

ros-dashing-realsense2-camera-msgs (3.1.1-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 22 Sep 2020 21:00:00 -0000

ros-dashing-realsense2-camera-msgs (3.1.0-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Tue, 15 Sep 2020 21:00:00 -0000

ros-dashing-realsense2-camera-msgs (2.0.4-1bionic) bionic; urgency=high

  * update maintainer
  * 2.0.3
  * update changelog
  * Contributors: Chris Ye

 -- Doron Hirshberg <doron.hirshberg@intel.com>  Wed, 29 May 2019 21:00:00 -0000

ros-dashing-realsense2-camera-msgs (2.0.2-1bionic) bionic; urgency=high



 -- Doron Hirshberg <doron.hirshberg@intel.com>  Thu, 06 Dec 2018 22:00:00 -0000

=== debian/control ===
Source: ros-dashing-realsense2-camera-msgs
Section: misc
Priority: optional
Maintainer: Doron Hirshberg <doron.hirshberg@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-lint-common, ros-dashing-builtin-interfaces, ros-dashing-rosidl-default-generators, ros-dashing-std-msgs, ros-dashing-ros-workspace, ros-dashing-rosidl-typesupport-fastrtps-c, ros-dashing-rosidl-typesupport-fastrtps-cpp, ros-dashing-rosidl-typesupport-connext-c, ros-dashing-rosidl-typesupport-connext-cpp, ros-dashing-rmw-connext-cpp, ros-dashing-rmw-fastrtps-cpp, ros-dashing-rmw-implementation, ros-dashing-rmw-opensplice-cpp, ros-dashing-rosidl-typesupport-opensplice-c, ros-dashing-rosidl-typesupport-opensplice-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-realsense2-camera-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-builtin-interfaces, ros-dashing-rosidl-default-runtime, ros-dashing-std-msgs, ros-dashing-ros-workspace
Description: A package containing realsense camera messages definitions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing" \
		-DCMAKE_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-realsense2-camera-msgs//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
